#
# spec file for package openuniverse (Version 1.0beta3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp libjpeg mesa mesa-devel mesaglut mesaglut-devel mesasoft xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg libtool libz m4 make man mesa mesa-devel mesaglut mesaglut-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         openuniverse
Summary:      OpenGL space simulator
Version:      1.0beta3
Release:      128
Copyright:    GPL
Group: 	      X11/Applications
URL:          http://www.openuniverse.org
Source0:      openuniverse-%{version}.tar.bz2
Source1:      glui_v2_beta.tar.bz2
Source2:      ouhires.tar.bz2
Patch:        openuniverse-%{version}.dif
Patch1:       openuniverse-%{version}-ia64.patch
BuildRoot:    /var/tmp/%{name}-build

%description
OpenUniverse is an OpenGL Solar System simulator. It will let you visit
the Sun, the nine planets and a few major satellites with four different
camera modes. Although it's not 100% accurate, planets' positions
in a given date are within a range of the real positions.
From www.openuniverseverse.org:
Strictly spoken it's a piece of software, simulating the Solar System's
bodies in 3D on your Windows or Linux PC (will work in most *NIX's as well).
In difference to quite a few other programs it does so in realtime.
Meaning you can view all the planets, moons and spaceships move along
their paths, trace them, follow them, orbit them and even control them
(time and spaceship contol). And you won't have to fight your way
through hordes of green, slimey and one-eyed aliens for that ;-)

Authors:
--------
    Raul Alonso <amil@las.es>
    Axel Groll <axel_groll@engineer.com>

SuSE series: x3d

%prep
%setup -q -n openuniverse-%{version} -a 1 -a 2
mv *.jpg textures
%patch
%patch1

%build
cd glui_v2
make CFLAGS="$RPM_OPT_FLAGS"
cd ..
autoconf
OUFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
   --exec-prefix=/usr/X11R6 \
   --with-glui-libs=%{_builddir}/openuniverse-1.0beta3/glui_v2/lib/libglui.a \
   --with-glui-inc=%{_builddir}/openuniverse-1.0beta3/glui_v2
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT{%{_defaultdocdir},/etc}
mv  $RPM_BUILD_ROOT/usr/share/openuniverse/docs \
    $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
install -m 644 COPYING $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
mv  $RPM_BUILD_ROOT/usr/share/openuniverse/conf/ou.conf \
    $RPM_BUILD_ROOT/etc
(cd $RPM_BUILD_ROOT/usr/share/openuniverse/conf ; ln -sf ../../../../etc/ou.conf ou.conf)    

%files
%doc %{_defaultdocdir}/%{name}
/usr/X11R6/bin/openuniverse
/usr/share/openuniverse
%config /etc/ou.conf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n openuniverse
* Wed May 16 2001 - nadvornik@suse.cz
- fixed cast warnings on ia64
* Thu Apr 05 2001 - schwab@suse.de
- Fix missing declarations.
* Fri Mar 16 2001 - ro@suse.de
- fixed to build xf86glu needs extra -lm
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Wed Nov 15 2000 - nadvornik@suse.cz
- renamed openuni -> openuniverse
- bzipped sources
* Fri Nov 10 2000 - ro@suse.de
- fixed to compile with new mesa
* Fri Oct 06 2000 - nadvornik@suse.cz
- new package
